Subject: Re: [ANNOUNCE] GIT 1.5.3

From: David Kastrup <[email-masked]>
Date: Mon, 03 Sep 2007 15:17:29 +0200

Andreas Ericsson <[email-masked]> writes:

> David Kastrup wrote:
>> Andreas Ericsson <[email-masked]> writes:
>>
>>> Junio C Hamano wrote:
>>>> Assuming that we do not give the old git-p4import script
>>>> packaged in "git-p4 package", would the following patch be all
>>>> that is needed, or do we need other things in the spec file?
>>>>
>>>> -- snipsnap clipcrap --
>>>> +Obsoletes:	git-p4
>>> That depends. If packages outside of git requires the git-p4 package
>>> to function then this will not suffice and a line saying
>>>
>>> 	Provides: git-p4
>>>
>>> would have to be added instead.
>>
>> Not instead, but in addition IIRC (it obsoletes the package and
>> provides the feature).  But that would be nonsensical if the outside
>> package indeed requires git-p4 and we don't have it in our current
>> RPM: the purpose of dependencies is to not have things break silently,
>> and lying about what we provide would be wrong.
>
> No, it really is instead. A package obsoleting one of the features
> it provides itself would be insane.

Not according to my understanding: "Obsoletes:" concerns _packages_,
while "Provides:" concerns features.  So it is perfectly feasible to
obsolete a previously separate package and provide its functionality.

And indeed, our "emacs-auctex" package _both_ obsoletes _and_ provides
"auctex".  And it is not like we did not learn this the hard way...

-- 
David Kastrup